io.vertx.rxjava3.ext.web.api.contract

## Interface HTTPOperationRequestValidationHandler

- All Superinterfaces:
    Handler<RoutingContext>, ValidationHandler
  All Known Implementing Classes:
    OpenAPI3RequestValidationHandler

      public interface HTTPOperationRequestValidationHandler
      extends ValidationHandler, Handler<RoutingContext>

  Base interface for HTTP request validation with API specification

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTTPOperationRequestValidationHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Deprecated.
    `static HTTPOperationRequestValidationHandler` | `newInstance(HTTPOperationRequestValidationHandler arg)`
    `void` | `parseOperationSpec()` Deprecated.

    - ### Methods inherited from interface io.vertx.rxjava3.ext.web.api.validation.ValidationHandler

      `newInstance`

- - ### Method Detail

    - #### getDelegate

          HTTPOperationRequestValidationHandler getDelegate()

      Specified by:
        `getDelegate` in interface `ValidationHandler`

    - #### handle

          @Deprecated
          void handle(RoutingContext event)

      Deprecated.
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `ValidationHandler`
      Parameters:
        `event` - the event to handle

    - #### parseOperationSpec

          @Deprecated
          void parseOperationSpec()

      Deprecated.
      Function that parse the operation specification and generate validation rules

    - #### newInstance

          static HTTPOperationRequestValidationHandler newInstance(HTTPOperationRequestValidationHandler arg)

Copyright © 2021 Eclipse. All rights reserved.